Package org.opencv.face

## Class BIF

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.BIF

-     public class BIF
      extends Algorithm

  Implementation of bio-inspired features (BIF) from the paper: Guo, Guodong, et al. "Human age estimation using bio-inspired features." Computer Vision and Pattern Recognition, 2009. CVPR 2009.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BIF​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BIF` | `__fromPtr__​(long addr)` |
    `void` | `compute​(Mat image, Mat features)` | Computes features sby input image.
    `static BIF` | `create()` |
    `static BIF` | `create​(int num_bands)` |
    `static BIF` | `create​(int num_bands, int num_rotations)` |
    `protected void` | `finalize()` |
    `int` | `getNumBands()` |
    `int` | `getNumRotations()` |

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BIF

          protected BIF​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BIF __fromPtr__​(long addr)

    - #### create

          public static BIF create​(int num_bands,
                                   int num_rotations)

      Parameters:
        `num_bands` - The number of filter bands (<=8) used for computing BIF.
        `num_rotations` - The number of image rotations for computing BIF.
      Returns:
        Object for computing BIF.

    - #### create

          public static BIF create​(int num_bands)

      Parameters:
        `num_bands` - The number of filter bands (<=8) used for computing BIF.
      Returns:
        Object for computing BIF.

    - #### create

          public static BIF create()

      Returns:
        Object for computing BIF.

    - #### getNumBands

          public int getNumBands()

      Returns:
        The number of filter bands used for computing BIF.

    - #### getNumRotations

          public int getNumRotations()

      Returns:
        The number of image rotations.

    - #### compute

          public void compute​(Mat image,
                              Mat features)

      Computes features sby input image.
      Parameters:
        `image` - Input image (CV_32FC1).
        `features` - Feature vector (CV_32FC1).

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`